### Name: edges
### Title: Edges listing and evaluation
### Aliases: edges
### Keywords: utilities

### ** Examples
#generate AR(1) time series 
AR<-simulAR1(p=10,n=50,edgeProp=0.02,minA=0.5,maxA=1.5,minB=0,maxB=1,minSig=0.1,maxSig=0.8)
AR

# compute score S1
pmaxG1<-inferG1(AR$data, ls=TRUE, tukey=FALSE, huber=FALSE, predictor=NULL, target=NULL)
pmaxG1$ls
# compute score S2 from S1
Gls<-GfromG1(pmaxG1$ls, AR$data, method='ls',alpha1=0.2,alpha2=1,predictor=NULL,
target=NULL)
Gls$score

### Results (The validation matrix is obtained from the simulation matrix AR$A). 
resG1<-edges(score=pmaxG1$ls, targetNames=NULL, predNames=NULL,
validMat = (abs(AR$A)>0)*1, roc=TRUE, threshold=1, nb=NULL, prec=4)
resG<-edges(score=Gls$S2, targetNames=NULL, predNames=NULL,
validMat=(abs(AR$A)>0)*1, roc=TRUE, threshold=1, nb=NULL, prec=4)

# Edges list
resG1$list
resG$list

# ROC curve
plot(resG1$rocx/max(resG1$rocx),resG1$rocy/max(resG1$rocy), type="l",
 xlab="False Positive", ylab="True Positive", main="ROC curve")
lines(resG$rocx/max(resG$rocx), resG$rocy/max(resG$rocy), col=2,lty=2)
leg=c("Step 1", "Step 2")
legend(0.8,0.2, leg, lty=c(1,2), col=c(1,2))



